Mail::Server::IMAP4(3pm)

NAME
Mail::Server::IMAP4 - IMAP4 server implementation (not completed)

INHERITANCE
 Mail::Server::IMAP4
   is a Mail::Server
   is a Mail::Reporter

SYNOPSIS
  !!!Partially implemented!!!!
  my $server = Mail::Server::IMAP4->new($msg);

DESCRIPTION
This module is a place-holder, which can be used to grow code which is needed to implement a full IMAP4 server.

Although the server is not implemented, parts of this server are already available.

•   Mail::Server::IMAP4::Fetch

    used to capture "FETCH" related information from a message, and produce server-side FETCH answers.

•   Mail::Server::IMAP4::List

    produce LIST responses about existing folders. This works in combination with a Mail::Box::Manage::User object.

•   Mail::Server::IMAP4::Search

    the SEARCH request. Not implemented yet... looking for a volunteer.

Extends "DESCRIPTION" in Mail::Server.

METHODS
Extends "METHODS" in Mail::Server.

DETAILS
See

RFC2060: "Internet Message Access Protocol IMAP4v1"

Extends "DETAILS" in Mail::Server.

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Box-IMAP4 version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.